Bug 731078 - [abrt] kernel: WARNING: at net/ipv4/route.c:1677 ip_rt_bug+0x55/0x5d(): TAINTED P--------W-I
Summary: [abrt] kernel: WARNING: at net/ipv4/route.c:1677 ip_rt_bug+0x55/0x5d(): TAINT...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 15
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:9f1cfb7734288d65b274a649e77...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-16 16:06 UTC by Nicholai Cornilliac
Modified: 2011-08-25 04:44 UTC (History)
7 users (show)

Fixed In Version: kernel-2.6.40.3-0.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-08-25 04:44:38 UTC


Attachments (Terms of Use)
dmesg (122.47 KB, text/plain)
2011-08-23 14:38 UTC, Mads Kiilerich
no flags Details

Description Nicholai Cornilliac 2011-08-16 16:06:34 UTC
abrt version: 2.0.3
architecture:   i686
cmdline:        ro root=UUID=31d1d27e-de6e-4661-b6b2-3f9318fe2186 rd_NO_LUKS rd_NO_LVM rd_NO_MD rd_NO_DM LANG=en_US.UTF-8 SYSFONT=latarcyrheb-sun16 KEYTABLE=us rhgb quiet
comment:        I actuallly do not know how this problem comes about .. it just happens .. all i can say is that i have a static ip on my laptop at work ... this bug pops up all the time .. its annoying
component:      kernel
kernel:         2.6.40-4.fc15.i686.PAE
kernel_tainted: 2561
os_release:     Fedora release 15 (Lovelock)
package:        kernel
reason:         WARNING: at net/ipv4/route.c:1677 ip_rt_bug+0x55/0x5d()
time:           Tue Aug 16 12:03:27 2011

backtrace:
:WARNING: at net/ipv4/route.c:1677 ip_rt_bug+0x55/0x5d()
:Hardware name: HP ProBook 4510s
:Modules linked in: tcp_lp fuse ppdev parport_pc lp parport vboxpci vboxnetadp vboxnetflt vboxdrv sunrpc p4_clockmod bnep bluetooth lib80211_crypt_tkip wl(P) uvcvideo videodev media snd_hda_codec_hdmi snd_hda_codec_analog snd_hda_intel snd_hda_codec snd_hwdep snd_seq snd_seq_device snd_pcm hp_accel lis3lv02d input_polldev snd_timer snd soundcore iTCO_wdt lib80211 sky2 snd_page_alloc serio_raw iTCO_vendor_support hp_wmi sparse_keymap rfkill joydev microcode wmi i915 drm_kms_helper drm i2c_algo_bit i2c_core video [last unloaded: mperf]
:Pid: 2572, comm: dropbox Tainted: P        W I 2.6.40-4.fc15.i686.PAE #1
:Call Trace:
: [<c081f66a>] ? printk+0x2d/0x2f
: [<c0443601>] warn_slowpath_common+0x7c/0x91
: [<c0785d54>] ? ip_rt_bug+0x55/0x5d
: [<c0785d54>] ? ip_rt_bug+0x55/0x5d
: [<c0443638>] warn_slowpath_null+0x22/0x24
: [<c0785d54>] ip_rt_bug+0x55/0x5d
: [<c078bdc6>] dst_output+0x11/0x13
: [<c078d32a>] ip_local_out+0x1c/0x1f
: [<c078e022>] ip_send_skb+0x14/0x63
: [<c07a6d7d>] udp_send_skb+0x231/0x285
: [<c07a801d>] udp_sendmsg+0x4c4/0x707
: [<c078bf2f>] ? ip_select_ident+0x3d/0x3d
: [<c07ae021>] inet_sendmsg+0x58/0x5f
: [<c0756c42>] sock_sendmsg+0xd0/0xed
: [<c0436b85>] ? __might_sleep+0x29/0xe4
: [<c0436b85>] ? __might_sleep+0x29/0xe4
: [<c0436b85>] ? __might_sleep+0x29/0xe4
: [<c050167c>] ? core_sys_select+0x163/0x199
: [<c04309bb>] ? should_resched+0xd/0x27
: [<c0757c09>] ? move_addr_to_kernel+0x43/0x48
: [<c075842b>] sys_sendto+0x10d/0x143
: [<c041f087>] ? apic_write+0x14/0x16
: [<c041f122>] ? lapic_next_event+0x14/0x18
: [<c0467e36>] ? clockevents_program_event+0xbc/0xce
: [<c0436b85>] ? __might_sleep+0x29/0xe4
: [<c0462aa2>] ? timekeeping_get_ns+0x16/0x5a
: [<c0436b85>] ? __might_sleep+0x29/0xe4
: [<c04309bb>] ? should_resched+0xd/0x27
: [<c05ea69e>] ? _copy_from_user+0x3c/0x50
: [<c0758c83>] sys_socketcall+0x171/0x299
: [<c082cd5f>] sysenter_do_call+0x12/0x28

kernel_tainted_long:
:Proprietary module has been loaded.
:Taint on warning.
:Working around severe firmware bug.

Comment 1 Mads Kiilerich 2011-08-23 14:33:12 UTC
Package: kernel
Architecture: i686
OS Release: Fedora release 16 (Verne)

Comment
-----
"i didn't do anything"

Comment 2 Mads Kiilerich 2011-08-23 14:38:28 UTC
Created attachment 519474 [details]
dmesg

I got this with kernel-PAE-3.0.1-3.fc16.i686
http://www.smolts.org/wiki/pci/168c/001c/106b/0086

The line just before the warning might be relevant:

[ 2758.385092] ip_rt_bug: 192.168.42.114 -> 255.255.255.255, ?
[ 2758.385104] ------------[ cut here ]------------
[ 2758.385115] WARNING: at net/ipv4/route.c:1677 ip_rt_bug+0x55/0x5d()
[ 2758.385118] Hardware name: Macmini2,1
[ 2758.385121] Modules linked in: ppdev parport_pc lp parport fuse binfmt_misc ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 xt_state nf_conntrack ip6table_filter ip6_tables vfat fat appleir arc4 snd_hda_codec_idt microcode snd_hda_intel snd_hda_codec snd_hwdep snd_seq applesmc snd_seq_device input_polldev ath5k ath snd_pcm iTCO_wdt iTCO_vendor_support mac80211 i2c_i801 cfg80211 snd_timer rfkill snd soundcore sky2 snd_page_alloc uinput firewire_ohci firewire_core crc_itu_t i915 drm_kms_helper drm i2c_algo_bit i2c_core video [last unloaded: scsi_wait_scan]
[ 2758.385205] Pid: 8029, comm: colord Tainted: G    B       3.0.1-3.fc16.i686.PAE #1
[ 2758.385208] Call Trace:
[ 2758.385217]  [<c084512a>] ? printk+0x2d/0x2f
[ 2758.385224]  [<c04463e0>] warn_slowpath_common+0x7c/0x91
[ 2758.385230]  [<c07a1a0d>] ? ip_rt_bug+0x55/0x5d
[ 2758.385235]  [<c07a1a0d>] ? ip_rt_bug+0x55/0x5d
[ 2758.385240]  [<c0446417>] warn_slowpath_null+0x22/0x24
[ 2758.385246]  [<c07a1a0d>] ip_rt_bug+0x55/0x5d
[ 2758.385251]  [<c07a8a6e>] dst_output+0x17/0x1a
[ 2758.385257]  [<c07a9f75>] ip_local_out+0x1c/0x1f
[ 2758.385261]  [<c07aad01>] ip_send_skb+0x14/0x63
[ 2758.385267]  [<c07c48cd>] udp_send_skb+0x231/0x285
[ 2758.385273]  [<c07c5cd7>] udp_sendmsg+0x4f6/0x739
[ 2758.385280]  [<c084e04f>] ? _raw_spin_unlock_bh+0x2a/0x2d
[ 2758.385285]  [<c07a8b63>] ? ip_select_ident+0x3d/0x3d
[ 2758.385292]  [<c0473d06>] ? trace_hardirqs_on+0xb/0xd
[ 2758.385298]  [<c044b94e>] ? _local_bh_enable_ip+0xa8/0xab
[ 2758.385303]  [<c044b95e>] ? local_bh_enable_ip+0xd/0xf
[ 2758.385309]  [<c084e04f>] ? _raw_spin_unlock_bh+0x2a/0x2d
[ 2758.385316]  [<c07729fe>] ? release_sock+0x122/0x129
[ 2758.385322]  [<c07cc8ac>] inet_sendmsg+0x58/0x5f
[ 2758.385328]  [<c076f3da>] sock_sendmsg+0xd0/0xed
[ 2758.385333]  [<c0473955>] ? lock_acquire+0xc5/0xe4
[ 2758.385338]  [<c047386f>] ? lock_release+0x15a/0x17b
[ 2758.385345]  [<c04df112>] ? might_fault+0x9d/0xa3
[ 2758.385350]  [<c07702e4>] ? move_addr_to_kernel+0x43/0x48
[ 2758.385356]  [<c0770b09>] sys_sendto+0x10d/0x143
[ 2758.385361]  [<c0473955>] ? lock_acquire+0xc5/0xe4
[ 2758.385366]  [<c047386f>] ? lock_release+0x15a/0x17b
[ 2758.385372]  [<c04df112>] ? might_fault+0x9d/0xa3
[ 2758.385379]  [<c05ef3ce>] ? _copy_from_user+0x3c/0x50
[ 2758.385384]  [<c0771361>] sys_socketcall+0x171/0x299
[ 2758.385391]  [<c085421f>] sysenter_do_call+0x12/0x38
[ 2758.385395] ---[ end trace 1ec864fcdda5ba0c ]---
[ 2759.507011] ip_rt_bug: 192.168.42.114 -> 255.255.255.255, ?
[ 2759.507060] ------------[ cut here ]------------
[ 2759.507113] WARNING: at net/ipv4/route.c:1677 ip_rt_bug+0x55/0x5d()
[ 2759.507116] Hardware name: Macmini2,1
[ 2759.507118] Modules linked in: ppdev parport_pc lp parport fuse binfmt_misc ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 xt_state nf_conntrack ip6table_filter ip6_tables vfat fat appleir arc4 snd_hda_codec_idt microcode snd_hda_intel snd_hda_codec snd_hwdep snd_seq applesmc snd_seq_device input_polldev ath5k ath snd_pcm iTCO_wdt iTCO_vendor_support mac80211 i2c_i801 cfg80211 snd_timer rfkill snd soundcore sky2 snd_page_alloc uinput firewire_ohci firewire_core crc_itu_t i915 drm_kms_helper drm i2c_algo_bit i2c_core video [last unloaded: scsi_wait_scan]
[ 2759.507494] Pid: 8029, comm: colord Tainted: G    B   W   3.0.1-3.fc16.i686.PAE #1
[ 2759.507498] Call Trace:
[ 2759.507509]  [<c084512a>] ? printk+0x2d/0x2f
[ 2759.507526]  [<c04463e0>] warn_slowpath_common+0x7c/0x91
[ 2759.507544]  [<c07a1a0d>] ? ip_rt_bug+0x55/0x5d
[ 2759.507559]  [<c07a1a0d>] ? ip_rt_bug+0x55/0x5d
[ 2759.507655]  [<c0446417>] warn_slowpath_null+0x22/0x24
[ 2759.507695]  [<c07a1a0d>] ip_rt_bug+0x55/0x5d
[ 2759.507733]  [<c07a8a6e>] dst_output+0x17/0x1a
[ 2759.507783]  [<c07a9f75>] ip_local_out+0x1c/0x1f
[ 2759.507787]  [<c07aad01>] ip_send_skb+0x14/0x63
[ 2759.507791]  [<c07c48cd>] udp_send_skb+0x231/0x285
[ 2759.507796]  [<c07c5cd7>] udp_sendmsg+0x4f6/0x739
[ 2759.507802]  [<c084e04f>] ? _raw_spin_unlock_bh+0x2a/0x2d
[ 2759.507806]  [<c07a8b63>] ? ip_select_ident+0x3d/0x3d
[ 2759.507812]  [<c0473d06>] ? trace_hardirqs_on+0xb/0xd
[ 2759.507817]  [<c044b94e>] ? _local_bh_enable_ip+0xa8/0xab
[ 2759.507827]  [<c044b95e>] ? local_bh_enable_ip+0xd/0xf
[ 2759.507842]  [<c084e04f>] ? _raw_spin_unlock_bh+0x2a/0x2d
[ 2759.507870]  [<c07729fe>] ? release_sock+0x122/0x129
[ 2759.507937]  [<c07cc8ac>] inet_sendmsg+0x58/0x5f
[ 2759.507968]  [<c076f3da>] sock_sendmsg+0xd0/0xed
[ 2759.507989]  [<c0473955>] ? lock_acquire+0xc5/0xe4
[ 2759.508020]  [<c047386f>] ? lock_release+0x15a/0x17b
[ 2759.508093]  [<c04df112>] ? might_fault+0x9d/0xa3
[ 2759.508118]  [<c07702e4>] ? move_addr_to_kernel+0x43/0x48
[ 2759.508144]  [<c0770b09>] sys_sendto+0x10d/0x143
[ 2759.508189]  [<c0473955>] ? lock_acquire+0xc5/0xe4
[ 2759.508245]  [<c047386f>] ? lock_release+0x15a/0x17b
[ 2759.508297]  [<c04df112>] ? might_fault+0x9d/0xa3
[ 2759.508350]  [<c05ef3ce>] ? _copy_from_user+0x3c/0x50
[ 2759.508394]  [<c0771361>] sys_socketcall+0x171/0x299
[ 2759.508423]  [<c085421f>] sysenter_do_call+0x12/0x38
[ 2759.508474] ---[ end trace 1ec864fcdda5ba0d ]---

Comment 4 Mads Kiilerich 2011-08-23 14:52:59 UTC
/me waits for a bug 732755 fix so I can try that ;-)

Comment 5 Chuck Ebbert 2011-08-25 04:44:38 UTC
This was fixed in 3.0.2


Note You need to log in before you can comment on or make changes to this bug.